> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset Version Content



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/datasets/{dataset_id}/versions/{version_index}/content
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/datasets/{dataset_id}/versions/{version_index}/content:
    get:
      tags:
        - datasets
      summary: Get Dataset Version Content
      operationId: >-
        get_dataset_version_content_v2_datasets__dataset_id__versions__version_index__content_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Dataset Id
        - name: version_index
          in: path
          required: true
          schema:
            type: integer
            title: Version Index
        - name: starting_token
          in: query
          required: false
          schema:
            type: integer
            title: Starting Token
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            title: Limit
            default: 100
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetContent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    DatasetContent:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        paginated:
          type: boolean
          title: Paginated
          default: false
        next_starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Starting Token
        column_names:
          items:
            type: string
          type: array
          title: Column Names
        warning_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning Message
        rows:
          items:
            $ref: '#/components/schemas/DatasetRow'
          type: array
          title: Rows
      type: object
      title: DatasetContent
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetRow:
      properties:
        row_id:
          type: string
          format: uuid4
          title: Row Id
        index:
          type: integer
          title: Index
        values:
          items:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - additionalProperties:
                  anyOf:
                    - type: string
                    - type: integer
                    - type: number
                    - type: 'null'
                type: object
              - type: 'null'
          type: array
          title: Values
        values_dict:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - additionalProperties:
                  anyOf:
                    - type: string
                    - type: integer
                    - type: number
                    - type: 'null'
                type: object
              - type: 'null'
          type: object
          title: Values Dict
        metadata:
          anyOf:
            - $ref: '#/components/schemas/DatasetRowMetadata'
            - type: 'null'
      type: object
      required:
        - row_id
        - index
        - values
        - values_dict
        - metadata
      title: DatasetRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DatasetRowMetadata:
      properties:
        created_in_version:
          type: integer
          title: Created In Version
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        updated_in_version:
          type: integer
          title: Updated In Version
        updated_at:
          type: string
          format: date-time
          title: Updated At
        updated_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
      type: object
      required:
        - created_in_version
        - created_at
        - created_by_user
        - updated_in_version
        - updated_at
        - updated_by_user
      title: DatasetRowMetadata
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````